pacman -Syyu --force isn't working

sudo pacman -Syyu --force is not working on mine, it says "error: invalid option '--force'".
what do in do in my case?

Instead of commenting on a 3 year old post, can you describe the actual problem you are having?

If possible, provide the output you are seeing. Before we recommend a solution we need to know what you are dealing with specifically.

--force has been deprecated and replaced but forcibly overwriting files is dangerous without knowing why you need to.

'Syyu' forces pacman to re-download the package database so '--force' is redundant. Unless you was trying to do something else?

--overwrite replaced --force

2 Likes

■■■■■■ i didint realize this was a 3 year old post hehehe. well i tried the commands sudo syu, sudo syyu and a couple others to try to and delete the corrupted pgps that create a dependency cycle for pacman, i moved switch to the german ans south african servers, i tried deleting everying manually but it just comes with an error saying they couldn't be deleted

kinda looks like this

error: perl-module-implementation: missing required signature
:: File /var/cache/pacman/pkg/perl-module-implementation-0.09-5-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-params-util: missing required signature
:: File /var/cache/pacman/pkg/perl-params-util-1.07-11-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-sub-install: missing required signature
:: File /var/cache/pacman/pkg/perl-sub-install-0.928-5-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-data-optlist: missing required signature
:: File /var/cache/pacman/pkg/perl-data-optlist-0.110-5-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-sub-exporter: missing required signature
:: File /var/cache/pacman/pkg/perl-sub-exporter-0.987-5-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-sub-exporter-progressive: missing required signature
:: File /var/cache/pacman/pkg/perl-sub-exporter-progressive-0.001013-5-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-variable-magic: missing required signature
:: File /var/cache/pacman/pkg/perl-variable-magic-0.62-4-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-b-hooks-endofscope: missing required signature
:: File /var/cache/pacman/pkg/perl-b-hooks-endofscope-0.24-2-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-html-tagset: missing required signature
:: File /var/cache/pacman/pkg/perl-html-tagset-3.20-8-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-html-parser: missing required signature
:: File /var/cache/pacman/pkg/perl-html-parser-3.72-8-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-cgi: missing required signature
:: File /var/cache/pacman/pkg/perl-cgi-4.44-1-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-class-data-inheritable: missing required signature
:: File /var/cache/pacman/pkg/perl-class-data-inheritable-0.08-8-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-class-inspector: missing required signature
:: File /var/cache/pacman/pkg/perl-class-inspector-1.36-1-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-exporter-tiny: missing required signature
:: File /var/cache/pacman/pkg/perl-exporter-tiny-1.002001-3-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-list-moreutils-xs: missing required signature
:: File /var/cache/pacman/pkg/perl-list-moreutils-xs-0.428-4-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: perl-list-moreutils: missing required signature
:: File /var/cache/pacman/pkg/perl-list-moreutils-0.428-3-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-dist-checkconflicts: missing required signature
:: File /var/cache/pacman/pkg/perl-dist-checkconflicts-0.11-5-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-package-stash-xs: missing required signature
:: File /var/cache/pacman/pkg/perl-package-stash-xs-0.29-3-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-package-stash: missing required signature
:: File /var/cache/pacman/pkg/perl-package-stash-0.38-2-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-test-fatal: missing required signature
:: File /var/cache/pacman/pkg/perl-test-fatal-0.014-5-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-namespace-clean: missing required signature
:: File /var/cache/pacman/pkg/perl-namespace-clean-0.27-5-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-class-load: missing required signature
:: File /var/cache/pacman/pkg/perl-class-load-0.25-1-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-class-singleton: missing required signature
:: File /var/cache/pacman/pkg/perl-class-singleton-1.5-3-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-params-validate: missing required signature
:: File /var/cache/pacman/pkg/perl-params-validate-1.29-4-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-list-someutils: missing required signature
:: File /var/cache/pacman/pkg/perl-list-someutils-0.56-3-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-list-utilsby: missing required signature
:: File /var/cache/pacman/pkg/perl-list-utilsby-0.11-3-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-list-allutils: missing required signature
:: File /var/cache/pacman/pkg/perl-list-allutils-0.15-2-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-datetime-timezone: missing required signature
:: File /var/cache/pacman/pkg/perl-datetime-timezone-2.35-1-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-math-round: missing required signature
:: File /var/cache/pacman/pkg/perl-math-round-0.07-3-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-sub-identify: missing required signature
:: File /var/cache/pacman/pkg/perl-sub-identify-0.14-7-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-namespace-autoclean: missing required signature
:: File /var/cache/pacman/pkg/perl-namespace-autoclean-0.29-1-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-role-tiny: missing required signature
:: File /var/cache/pacman/pkg/perl-role-tiny-2.001004-1-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-mro-compat: missing required signature
:: File /var/cache/pacman/pkg/perl-mro-compat-0.13-4-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-devel-stacktrace: missing required signature
:: File /var/cache/pacman/pkg/perl-devel-stacktrace-2.03-3-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-specio: missing required signature
:: File /var/cache/pacman/pkg/perl-specio-0.43-1-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-eval-closure: missing required signature
:: File /var/cache/pacman/pkg/perl-eval-closure-0.14-5-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-exception-class: missing required signature
:: File /var/cache/pacman/pkg/perl-exception-class-1.44-3-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-params-validationcompiler: missing required signature
:: File /var/cache/pacman/pkg/perl-params-validationcompiler-0.30-2-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-file-sharedir: missing required signature
:: File /var/cache/pacman/pkg/perl-file-sharedir-1.116-2-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-file-sharedir-install: missing required signature
:: File /var/cache/pacman/pkg/perl-file-sharedir-install-0.13-3-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-datetime: missing required signature
:: File /var/cache/pacman/pkg/perl-datetime-1.51-3-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-datetime-format-mail: missing required signature
:: File /var/cache/pacman/pkg/perl-datetime-format-mail-0.403-3-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-datetime-format-w3cdtf: missing required signature
:: File /var/cache/pacman/pkg/perl-datetime-format-w3cdtf-0.07-3-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-http-date: missing required signature
:: File /var/cache/pacman/pkg/perl-http-date-6.05-1-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-file-listing: missing required signature
:: File /var/cache/pacman/pkg/perl-file-listing-6.04-6-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-io-dirent: missing required signature
:: File /var/cache/pacman/pkg/perl-io-dirent-0.05-12-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-ipc-system-simple: missing required signature
:: File /var/cache/pacman/pkg/perl-ipc-system-simple-1.26-1-any.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-time-modules: missing required signature
:: File /var/cache/pacman/pkg/perl-time-modules-2013.0912-5-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-encode-locale: missing required signature
:: File /var/cache/pacman/pkg/perl-encode-locale-1.05-5-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-lwp-mediatypes: missing required signature
:: File /var/cache/pacman/pkg/perl-lwp-mediatypes-6.02-6-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-io-html: missing required signature
:: File /var/cache/pacman/pkg/perl-io-html-1.001-5-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-http-message: missing required signature
:: File /var/cache/pacman/pkg/perl-http-message-6.18-3-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-http-cookies: missing required signature
:: File /var/cache/pacman/pkg/perl-http-cookies-6.08-1-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-http-daemon: missing required signature
:: File /var/cache/pacman/pkg/perl-http-daemon-6.01-7-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-http-negotiate: missing required signature
:: File /var/cache/pacman/pkg/perl-http-negotiate-6.01-6-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-net-http: missing required signature
:: File /var/cache/pacman/pkg/perl-net-http-6.19-2-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-www-robotrules: missing required signature
:: File /var/cache/pacman/pkg/perl-www-robotrules-6.02-6-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-libwww: missing required signature
:: File /var/cache/pacman/pkg/perl-libwww-6.43-1-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-xml-parser: missing required signature
:: File /var/cache/pacman/pkg/perl-xml-parser-2.45-1-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: perl-xml-rss: missing required signature
:: File /var/cache/pacman/pkg/perl-xml-rss-1.60-3-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: polkit-kde-agent: missing required signature
:: File /var/cache/pacman/pkg/polkit-kde-agent-5.17.5-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: plasma-desktop: missing required signature
:: File /var/cache/pacman/pkg/plasma-desktop-5.17.5-2-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: plasma-nm: missing required signature
:: File /var/cache/pacman/pkg/plasma-nm-5.17.5-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: plasma-pa: missing required signature
:: File /var/cache/pacman/pkg/plasma-pa-5.17.5-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: plasma-workspace-wallpapers: missing required signature
:: File /var/cache/pacman/pkg/plasma-workspace-wallpapers-5.17.5-1-any.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: postgresql-libs: missing required signature
:: File /var/cache/pacman/pkg/postgresql-libs-12.1-2-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: postfix: missing required signature
:: File /var/cache/pacman/pkg/postfix-3.4.9-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: powerdevil: missing required signature
:: File /var/cache/pacman/pkg/powerdevil-5.17.5-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: print-manager: missing required signature
:: File /var/cache/pacman/pkg/print-manager-19.12.2-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: protobuf: missing required signature
:: File /var/cache/pacman/pkg/protobuf-3.11.3-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: pulseaudio-bluetooth: missing required signature
:: File /var/cache/pacman/pkg/pulseaudio-bluetooth-13.0-3-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: libnet: missing required signature
:: File /var/cache/pacman/pkg/libnet-1.1.6-3-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: jre11-openjdk-headless: missing required signature
:: File /var/cache/pacman/pkg/jre11-openjdk-headless-11.0.6.u10-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: jre11-openjdk: missing required signature
:: File /var/cache/pacman/pkg/jre11-openjdk-11.0.6.u10-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: pycharm-community-edition: missing required signature
:: File /var/cache/pacman/pkg/pycharm-community-edition-2019.2.3-1-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: python-cachecontrol: missing required signature
:: File /var/cache/pacman/pkg/python-cachecontrol-0.12.6-1-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: python-cairo: missing required signature
:: File /var/cache/pacman/pkg/python-cairo-1.19.0-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: python-more-itertools: missing required signature
:: File /var/cache/pacman/pkg/python-more-itertools-8.1.0-1-any.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: python-zipp: missing required signature
:: File /var/cache/pacman/pkg/python-zipp-1.0.0-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: python-importlib-metadata: missing required signature
:: File /var/cache/pacman/pkg/python-importlib-metadata-1.4.0-1-any.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: python-contextlib2: missing required signature
:: File /var/cache/pacman/pkg/python-contextlib2-0.6.0-3-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: python-pip: missing required signature
:: File /var/cache/pacman/pkg/python-pip-19.3-1-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: python-pycurl: missing required signature
:: File /var/cache/pacman/pkg/python-pycurl-7.43.0.5-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: python-reportlab: missing required signature
:: File /var/cache/pacman/pkg/python-reportlab-3.5.34-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: qt5-imageformats: missing required signature
:: File /var/cache/pacman/pkg/qt5-imageformats-5.14.1-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: qt5-tools: missing required signature
:: File /var/cache/pacman/pkg/qt5-tools-5.14.1-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: qt5-virtualkeyboard: missing required signature
:: File /var/cache/pacman/pkg/qt5-virtualkeyboard-5.14.1-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: rsync: missing required signature
:: File /var/cache/pacman/pkg/rsync-3.1.3-3-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: rubygems: missing required signature
:: File /var/cache/pacman/pkg/rubygems-3.1.2-4-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: ruby: missing required signature
:: File /var/cache/pacman/pkg/ruby-2.7.0-1-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: s-nail: missing required signature
:: File /var/cache/pacman/pkg/s-nail-14.9.17-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: xorg-server-common: missing required signature
:: File /var/cache/pacman/pkg/xorg-server-common-1.20.7-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: xorg-server: missing required signature
:: File /var/cache/pacman/pkg/xorg-server-1.20.7-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: sddm-kcm: missing required signature
:: File /var/cache/pacman/pkg/sddm-kcm-5.17.5-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: sed: missing required signature
:: File /var/cache/pacman/pkg/sed-4.8-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: spectacle: missing required signature
:: File /var/cache/pacman/pkg/spectacle-19.12.2-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: sshfs: missing required signature
:: File /var/cache/pacman/pkg/sshfs-3.7.0-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: subversion: missing required signature
:: File /var/cache/pacman/pkg/subversion-1.13.0-2-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: sudo: missing required signature
:: File /var/cache/pacman/pkg/sudo-1.8.31-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: syndication: missing required signature
:: File /var/cache/pacman/pkg/syndication-5.66.0-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: systemd-sysvcompat: missing required signature
:: File /var/cache/pacman/pkg/systemd-sysvcompat-242.153-3-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: thunderbird: missing required signature
:: File /var/cache/pacman/pkg/thunderbird-68.5.0-0-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: timeshift: missing required signature
:: File /var/cache/pacman/pkg/timeshift-19.08.1.r43.ge4139e6-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: tlp: missing required signature
:: File /var/cache/pacman/pkg/tlp-1.3.1-2-any.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: udiskie: missing required signature
:: File /var/cache/pacman/pkg/udiskie-2.1.0-1-any.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: user-manager: missing required signature
:: File /var/cache/pacman/pkg/user-manager-5.17.5-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: vlc: missing required signature
:: File /var/cache/pacman/pkg/vlc-3.0.8-8-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: vulkan-intel: missing required signature
:: File /var/cache/pacman/pkg/vulkan-intel-19.3.4-0.2-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: vulkan-radeon: missing required signature
:: File /var/cache/pacman/pkg/vulkan-radeon-19.3.4-0.2-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: webkit2gtk: missing required signature
:: File /var/cache/pacman/pkg/webkit2gtk-2.26.3-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: faudio: missing required signature
:: File /var/cache/pacman/pkg/faudio-20.01-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: lib32-faudio: missing required signature
:: File /var/cache/pacman/pkg/lib32-faudio-20.01-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: wine: missing required signature
:: File /var/cache/pacman/pkg/wine-5.0-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: yakuake: missing required signature
:: File /var/cache/pacman/pkg/yakuake-19.12.2-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: failed to commit transaction (invalid or corrupted package (PGP signature))
Errors occurred, no packages were upgraded.

try this:

Firstly, please put anything you copy from terminal in the </> option when posting so we can actually read it.

More importantly what do you mean by "kinda looks like this." Is that your exact terminal put out put or something you googled? We don't want to look thru and help someone else when we're trying to help you.

1 Like

no, i copied it from my terminal. sorry im new to the community, thanks for the tip.

No worries. Everyone is new at some point, and the better information you can give us, the better help you can get from us. And welcome to Manjaro.

It looks like you deleted a whole world of packages, when it looks like you probably needed to just update you gpg signatures. And this is where I step out and let the big dogs help you. Good luck.

i really did done goofed havent it....
oh well theres always the option to just upgrade to manjaro 19, i m using 18. can i just transfer my files?

It happens. I've probably borked dozens of installs over the years breaking things and learning this whole Linux thing.

Here at Manjaro we incorporate a "rolling release." Once, you're installed, as long as you continue to run the updates as they come out, you will never need to actually upgrade from 18 to 19, or 19 to 20. It will just happen as you run your normal updates.

There may be a simple fix for you. Maybe not. I would always suggest backing up your important files. I keep virtually everything on a 256gb micro USB that is always plugged in, that way if I ruin the system, I just reinstall, and I'm rolling on again.

Give it a little time. Maybe some smart people can help you before you repave and start over.

Please read over this. Post up your inxi info and anything else that is relevant to your situation, and more help should be here soon..

hahaha, had me going too. Wow I wonder what the record necropost is??

Anyway, you can do some real damage with --force or the newer command. I am going to go with you at this point, if feasible just start over with a fresh install.
Try hard in the future to never "force" anything unless you know what you are doing.
:grin:

As far as your re-install, you can in fact copy over your whole ~/ directory to a usb for example or another internal partition/hard drive and then if the new install has the same user name you could copy it back over the new install ~/.
Keep in mind taking this approach you do risk copying over some problems or errors you already have now.

dont use --force

read the messages - twice - and answer to the best of your abilities.

If the update stops - try again

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.

Forum kindly sponsored by